#include"TcPch.h"
#pragma hdrstop
#include"IoFFU.h"
#include"DEVICE.h"
#include"debug.h"
#include"CRemoteLog.h"
IoFFU::IoFFU(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
void IoFFU::initialize() {
	logger->info("Initialize FFU...");
}
void IoFFU::terminate() {
	logger->info("Terminating FFU...");
}
//AUTOIO_BEGIN
IoFFU* _initFFU1_0(){
	static IoFFU staticFFU1("IoFFU","FFU1",MODULE_NAME);
	IoFFU::poFFU1=&staticFFU1;
	IoFFU* dev=&staticFFU1;
	strcpy(dev->id,"FFU1");
	strcpy(dev->display,"FFU1");
	strcpy(dev->schematicId,"FFU1");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU1_1_STATUS,"AI.FFU1_1_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU1_1_SPEED_PV,"AI.FFU1_1_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU1_1_POWER_ON,"AO.FFU1_1_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU1_1_SPEED_SV,"AO.FFU1_1_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU1_1_EN,"AO.FFU1_1_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU1_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU2_0(){
	static IoFFU staticFFU2("IoFFU","FFU2",MODULE_NAME);
	IoFFU::poFFU2=&staticFFU2;
	IoFFU* dev=&staticFFU2;
	strcpy(dev->id,"FFU2");
	strcpy(dev->display,"FFU2");
	strcpy(dev->schematicId,"FFU2");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU1_2_STATUS,"AI.FFU1_2_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU1_2_SPEED_PV,"AI.FFU1_2_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU1_2_POWER_ON,"AO.FFU1_2_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU1_2_SPEED_SV,"AO.FFU1_2_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU1_2_EN,"AO.FFU1_2_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU2_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU3_0(){
	static IoFFU staticFFU3("IoFFU","FFU3",MODULE_NAME);
	IoFFU::poFFU3=&staticFFU3;
	IoFFU* dev=&staticFFU3;
	strcpy(dev->id,"FFU3");
	strcpy(dev->display,"FFU3");
	strcpy(dev->schematicId,"FFU3");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU1_3_STATUS,"AI.FFU1_3_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU1_3_SPEED_PV,"AI.FFU1_3_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU1_3_POWER_ON,"AO.FFU1_3_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU1_3_SPEED_SV,"AO.FFU1_3_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU1_3_EN,"AO.FFU1_3_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU3_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU4_0(){
	static IoFFU staticFFU4("IoFFU","FFU4",MODULE_NAME);
	IoFFU::poFFU4=&staticFFU4;
	IoFFU* dev=&staticFFU4;
	strcpy(dev->id,"FFU4");
	strcpy(dev->display,"FFU4");
	strcpy(dev->schematicId,"FFU4");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU1_4_STATUS,"AI.FFU1_4_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU1_4_SPEED_PV,"AI.FFU1_4_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU1_4_POWER_ON,"AO.FFU1_4_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU1_4_SPEED_SV,"AO.FFU1_4_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU1_4_EN,"AO.FFU1_4_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU4_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU5_0(){
	static IoFFU staticFFU5("IoFFU","FFU5",MODULE_NAME);
	IoFFU::poFFU5=&staticFFU5;
	IoFFU* dev=&staticFFU5;
	strcpy(dev->id,"FFU5");
	strcpy(dev->display,"FFU5");
	strcpy(dev->schematicId,"FFU5");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU1_5_STATUS,"AI.FFU1_5_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU1_5_SPEED_PV,"AI.FFU1_5_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU1_5_POWER_ON,"AO.FFU1_5_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU1_5_SPEED_SV,"AO.FFU1_5_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU1_5_EN,"AO.FFU1_5_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU5_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU6_0(){
	static IoFFU staticFFU6("IoFFU","FFU6",MODULE_NAME);
	IoFFU::poFFU6=&staticFFU6;
	IoFFU* dev=&staticFFU6;
	strcpy(dev->id,"FFU6");
	strcpy(dev->display,"FFU6");
	strcpy(dev->schematicId,"FFU6");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU1_6_STATUS,"AI.FFU1_6_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU1_6_SPEED_PV,"AI.FFU1_6_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU1_6_POWER_ON,"AO.FFU1_6_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU1_6_SPEED_SV,"AO.FFU1_6_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU1_6_EN,"AO.FFU1_6_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU6_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU7_0(){
	static IoFFU staticFFU7("IoFFU","FFU7",MODULE_NAME);
	IoFFU::poFFU7=&staticFFU7;
	IoFFU* dev=&staticFFU7;
	strcpy(dev->id,"FFU7");
	strcpy(dev->display,"FFU7");
	strcpy(dev->schematicId,"FFU7");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU2_1_STATUS,"AI.FFU2_1_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU2_1_SPEED_PV,"AI.FFU2_1_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU2_1_POWER_ON,"AO.FFU2_1_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU2_1_SPEED_SV,"AO.FFU2_1_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU2_1_EN,"AO.FFU2_1_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU7_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU8_0(){
	static IoFFU staticFFU8("IoFFU","FFU8",MODULE_NAME);
	IoFFU::poFFU8=&staticFFU8;
	IoFFU* dev=&staticFFU8;
	strcpy(dev->id,"FFU8");
	strcpy(dev->display,"FFU8");
	strcpy(dev->schematicId,"FFU8");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU2_2_STATUS,"AI.FFU2_2_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU2_2_SPEED_PV,"AI.FFU2_2_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU2_2_POWER_ON,"AO.FFU2_2_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU2_2_SPEED_SV,"AO.FFU2_2_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU2_2_EN,"AO.FFU2_2_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU8_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU9_0(){
	static IoFFU staticFFU9("IoFFU","FFU9",MODULE_NAME);
	IoFFU::poFFU9=&staticFFU9;
	IoFFU* dev=&staticFFU9;
	strcpy(dev->id,"FFU9");
	strcpy(dev->display,"FFU9");
	strcpy(dev->schematicId,"FFU9");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU2_3_STATUS,"AI.FFU2_3_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU2_3_SPEED_PV,"AI.FFU2_3_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU2_3_POWER_ON,"AO.FFU2_3_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU2_3_SPEED_SV,"AO.FFU2_3_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU2_3_EN,"AO.FFU2_3_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU9_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU10_0(){
	static IoFFU staticFFU10("IoFFU","FFU10",MODULE_NAME);
	IoFFU::poFFU10=&staticFFU10;
	IoFFU* dev=&staticFFU10;
	strcpy(dev->id,"FFU10");
	strcpy(dev->display,"FFU10");
	strcpy(dev->schematicId,"FFU10");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU2_4_STATUS,"AI.FFU2_4_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU2_4_SPEED_PV,"AI.FFU2_4_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU2_4_POWER_ON,"AO.FFU2_4_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU2_4_SPEED_SV,"AO.FFU2_4_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU2_4_EN,"AO.FFU2_4_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU10_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU11_0(){
	static IoFFU staticFFU11("IoFFU","FFU11",MODULE_NAME);
	IoFFU::poFFU11=&staticFFU11;
	IoFFU* dev=&staticFFU11;
	strcpy(dev->id,"FFU11");
	strcpy(dev->display,"FFU11");
	strcpy(dev->schematicId,"FFU11");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU2_5_STATUS,"AI.FFU2_5_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU2_5_SPEED_PV,"AI.FFU2_5_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU2_5_POWER_ON,"AO.FFU2_5_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU2_5_SPEED_SV,"AO.FFU2_5_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU2_5_EN,"AO.FFU2_5_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU11_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU12_0(){
	static IoFFU staticFFU12("IoFFU","FFU12",MODULE_NAME);
	IoFFU::poFFU12=&staticFFU12;
	IoFFU* dev=&staticFFU12;
	strcpy(dev->id,"FFU12");
	strcpy(dev->display,"FFU12");
	strcpy(dev->schematicId,"FFU12");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU2_6_STATUS,"AI.FFU2_6_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU2_6_SPEED_PV,"AI.FFU2_6_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU2_6_POWER_ON,"AO.FFU2_6_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU2_6_SPEED_SV,"AO.FFU2_6_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU2_6_EN,"AO.FFU2_6_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU12_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU13_0(){
	static IoFFU staticFFU13("IoFFU","FFU13",MODULE_NAME);
	IoFFU::poFFU13=&staticFFU13;
	IoFFU* dev=&staticFFU13;
	strcpy(dev->id,"FFU13");
	strcpy(dev->display,"FFU13");
	strcpy(dev->schematicId,"FFU13");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU3_1_STATUS,"AI.FFU3_1_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU3_1_SPEED_PV,"AI.FFU3_1_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU3_1_POWER_ON,"AO.FFU3_1_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU3_1_SPEED_SV,"AO.FFU3_1_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU3_1_EN,"AO.FFU3_1_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU13_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU14_0(){
	static IoFFU staticFFU14("IoFFU","FFU14",MODULE_NAME);
	IoFFU::poFFU14=&staticFFU14;
	IoFFU* dev=&staticFFU14;
	strcpy(dev->id,"FFU14");
	strcpy(dev->display,"FFU14");
	strcpy(dev->schematicId,"FFU14");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU3_2_STATUS,"AI.FFU3_2_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU3_2_SPEED_PV,"AI.FFU3_2_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU3_2_POWER_ON,"AO.FFU3_2_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU3_2_SPEED_SV,"AO.FFU3_2_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU3_2_EN,"AO.FFU3_2_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU14_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU15_0(){
	static IoFFU staticFFU15("IoFFU","FFU15",MODULE_NAME);
	IoFFU::poFFU15=&staticFFU15;
	IoFFU* dev=&staticFFU15;
	strcpy(dev->id,"FFU15");
	strcpy(dev->display,"FFU15");
	strcpy(dev->schematicId,"FFU15");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU3_3_STATUS,"AI.FFU3_3_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU3_3_SPEED_PV,"AI.FFU3_3_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU3_3_POWER_ON,"AO.FFU3_3_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU3_3_SPEED_SV,"AO.FFU3_3_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU3_3_EN,"AO.FFU3_3_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU15_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU16_0(){
	static IoFFU staticFFU16("IoFFU","FFU16",MODULE_NAME);
	IoFFU::poFFU16=&staticFFU16;
	IoFFU* dev=&staticFFU16;
	strcpy(dev->id,"FFU16");
	strcpy(dev->display,"FFU16");
	strcpy(dev->schematicId,"FFU16");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU3_4_STATUS,"AI.FFU3_4_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU3_4_SPEED_PV,"AI.FFU3_4_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU3_4_POWER_ON,"AO.FFU3_4_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU3_4_SPEED_SV,"AO.FFU3_4_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU3_4_EN,"AO.FFU3_4_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU16_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU17_0(){
	static IoFFU staticFFU17("IoFFU","FFU17",MODULE_NAME);
	IoFFU::poFFU17=&staticFFU17;
	IoFFU* dev=&staticFFU17;
	strcpy(dev->id,"FFU17");
	strcpy(dev->display,"FFU17");
	strcpy(dev->schematicId,"FFU17");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU3_5_STATUS,"AI.FFU3_5_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU3_5_SPEED_PV,"AI.FFU3_5_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU3_5_POWER_ON,"AO.FFU3_5_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU3_5_SPEED_SV,"AO.FFU3_5_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU3_5_EN,"AO.FFU3_5_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU17_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
IoFFU* _initFFU18_0(){
	static IoFFU staticFFU18("IoFFU","FFU18",MODULE_NAME);
	IoFFU::poFFU18=&staticFFU18;
	IoFFU* dev=&staticFFU18;
	strcpy(dev->id,"FFU18");
	strcpy(dev->display,"FFU18");
	strcpy(dev->schematicId,"FFU18");
	strcpy(dev->unit,"");
	dev->aiSwitch.create("aiSwitch",&AI->FFU3_6_STATUS,"AI.FFU3_6_STATUS",TRUE);
	dev->aiCurrentSpeed.create("aiCurrentSpeed",&AI->FFU3_6_SPEED_PV,"AI.FFU3_6_SPEED_PV",TRUE);
	dev->aoSwitch.create("aoSwitch",&AO->FFU3_6_POWER_ON,"AO.FFU3_6_POWER_ON",FALSE);
	dev->aoSetSpeed.create("aoSetSpeed",&AO->FFU3_6_SPEED_SV,"AO.FFU3_6_SPEED_SV",FALSE);
	dev->aoReset.create("aoReset",&AO->FFU3_6_EN,"AO.FFU3_6_EN",FALSE);
	strcpy(dev->scRootPath,"FFU");
	return dev;
}
IoFFU* _initFFU18_1(IoFFU *dev){
	dev->doEnable.create("doEnable");
	dev->doWriteCommand.create("doWriteCommand");
	strcpy(dev->aioType,"float");
	return dev;
}
void initIoFFU(){
	IoFFU* dev;
	dev=_initFFU1_0();
	_initFFU1_1(dev);
	dev=_initFFU2_0();
	_initFFU2_1(dev);
	dev=_initFFU3_0();
	_initFFU3_1(dev);
	dev=_initFFU4_0();
	_initFFU4_1(dev);
	dev=_initFFU5_0();
	_initFFU5_1(dev);
	dev=_initFFU6_0();
	_initFFU6_1(dev);
	dev=_initFFU7_0();
	_initFFU7_1(dev);
	dev=_initFFU8_0();
	_initFFU8_1(dev);
	dev=_initFFU9_0();
	_initFFU9_1(dev);
	dev=_initFFU10_0();
	_initFFU10_1(dev);
	dev=_initFFU11_0();
	_initFFU11_1(dev);
	dev=_initFFU12_0();
	_initFFU12_1(dev);
	dev=_initFFU13_0();
	_initFFU13_1(dev);
	dev=_initFFU14_0();
	_initFFU14_1(dev);
	dev=_initFFU15_0();
	_initFFU15_1(dev);
	dev=_initFFU16_0();
	_initFFU16_1(dev);
	dev=_initFFU17_0();
	_initFFU17_1(dev);
	dev=_initFFU18_0();
	_initFFU18_1(dev);
}
IoFFU* IoFFU::poFFU1=NULL;
IoFFU* IoFFU::poFFU2=NULL;
IoFFU* IoFFU::poFFU3=NULL;
IoFFU* IoFFU::poFFU4=NULL;
IoFFU* IoFFU::poFFU5=NULL;
IoFFU* IoFFU::poFFU6=NULL;
IoFFU* IoFFU::poFFU7=NULL;
IoFFU* IoFFU::poFFU8=NULL;
IoFFU* IoFFU::poFFU9=NULL;
IoFFU* IoFFU::poFFU10=NULL;
IoFFU* IoFFU::poFFU11=NULL;
IoFFU* IoFFU::poFFU12=NULL;
IoFFU* IoFFU::poFFU13=NULL;
IoFFU* IoFFU::poFFU14=NULL;
IoFFU* IoFFU::poFFU15=NULL;
IoFFU* IoFFU::poFFU16=NULL;
IoFFU* IoFFU::poFFU17=NULL;
IoFFU* IoFFU::poFFU18=NULL;
//AUTOIO_END
